import { AnchoredCategorySeries } from "./AnchoredCategorySeries";
import { NumericXAxis } from "./NumericXAxis";
import { CategoryYAxis } from "./CategoryYAxis";
import { IVerticalAnchoredCategorySeriesInteractionManager } from "./IVerticalAnchoredCategorySeriesInteractionManager";
import { Type, Point } from "igniteui-react-core";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { NumericAxisBase } from "./NumericAxisBase";
import { Axis } from "./Axis";
import { ScalerParams } from "./ScalerParams";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { Rect } from "igniteui-react-core";
/**
 * @hidden
 */
export declare abstract class VerticalAnchoredCategorySeries extends AnchoredCategorySeries {
    static $t: Type;
    xAxis: NumericXAxis;
    yAxis: CategoryYAxis;
    h1(): void;
    private qc;
    readonly qd: IVerticalAnchoredCategorySeriesInteractionManager;
    protected get_isVertical(): boolean;
    nj(): CategoryAxisBase;
    n3(): NumericAxisBase;
    getOffsetValue(): number;
    getCategoryWidth(): number;
    fc(a: Point, b: boolean): number;
    fe(a: Point, b: boolean): number;
    d9(a: Point, b: number, c: Axis, d: ScalerParams, e: number): number;
    protected bd(): SeriesHitTestMode;
    l6(a: Point): Rect;
    private ql;
    dh(a: Point, b: boolean): boolean;
    en(a: Point, b: boolean, c: boolean): number;
    lv(a: Point, b: boolean, c: boolean): Point;
    fetchXAxis(): Axis;
    fetchYAxis(): Axis;
    pt(a: Axis): void;
    pu(a: Axis): void;
    oe(): boolean;
    nd(a: number, b: number): any[];
    eb(a: Point): number;
    oi(a: Point): number;
    e8(a: Point): number;
    fp(a: Point): any;
    protected i7(a: any, b: string, c: any, d: any): void;
    qg(a: any): boolean;
    qf(a: any): boolean;
    readonly useHighMarkerFidelity: boolean;
    static $$p: string[];
}
